BasicTabbedPaneUI.MouseHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler class
Date: 2026-03-29

javax.swing.plaf.basic

## Class BasicTabbedPaneUI.MouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    BasicTabbedPaneUI

      public class BasicTabbedPaneUI.MouseHandler
      extends MouseAdapter

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MouseHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MouseHandler

          public MouseHandler()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.